IntelliPhoto 0.7

Public Member Functions | List of all members
IntelliToolLine Class Reference

The IntelliToolFloodFill class represents a tool to draw a line. More...

`#include <IntelliToolLine.h>`

Inheritance diagram for IntelliToolLine:

## Public Member Functions
| IntelliToolLine (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| A constructor setting the general paintingArea and colorPicker. More...
virtual | ~IntelliToolLine () override
| An abstract Destructor. More...
virtual void | onMouseRightPressed (int x, int y) override
| A function managing the right click pressed of a mouse. Clearing the canvas. More...
virtual void | onMouseRightReleased (int x, int y) override
| A function managing the right click released of a mouse. More...
virtual void | onMouseLeftPressed (int x, int y) override
| A function managing the left click pressed of a mouse. Sets the starting point of the line. More...
virtual void | onMouseLeftReleased (int x, int y) override
| A function managing the left click released of a mouse. More...
virtual void | onWheelScrolled (int value) override
| A function managing the scroll event. Changing the lineWidth relative to value. More...
virtual void | onMouseMoved (int x, int y) override
| A function managing the mouse moved event. Drawing a Line from the startpoint to the current mouse position. More...
Public Member Functions inherited from IntelliTool
| IntelliTool (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| A constructor setting the general Painting Area and colorPicker. More...
virtual | ~IntelliTool ()=0
| An abstract Destructor. More...
Tooltype | getTooltype () const
| getTooltype returns the tools type More...
bool | getIsDrawing () const
| getIsDrawing returns if the tool is currently drawing More...

## Additional Inherited Members
Public Types inherited from IntelliTool
enum | Tooltype { Tooltype::CIRCLE, Tooltype::FLOODFILL, Tooltype::GRADIENT, Tooltype::LINE, Tooltype::PEN, Tooltype::PLAIN, Tooltype::POLYGON, Tooltype::RECTANGLE, Tooltype::NONE }
| The Tooltype enum categorising the toosl. More...
Protected Attributes inherited from IntelliTool
PaintingArea * | Area
| A pointer to the general PaintingArea to interact with. More...
Tooltype | ActiveType
| ActiveType the type of the active tool. More...
IntelliColorPicker * | colorPicker
| A pointer to the IntelliColorPicker of the PaintingArea to interact with, and get the colors. More...
IntelliToolsettings * | Toolsettings
| Toolsettings a refrence to the tool settings. More...
LayerObject * | activeLayer
| A pointer to the underlying active Layer, do not work on this. This is used for data grabbing or previews. More...
LayerObject * | Canvas
| A pointer to the drawing canvas of the tool, work on this. More...
bool | isDrawing = false
| A flag checking if the user is currently drawing or not. More...

## Detailed Description

The IntelliToolFloodFill class represents a tool to draw a line.

Definition at line 13 of file IntelliToolLine.h.

## Constructor & Destructor Documentation

## ◆ IntelliToolLine()

IntelliToolLine::IntelliToolLine | ( | PaintingArea * | Area,
|  | IntelliColorPicker * | colorPicker,
|  | IntelliToolsettings * | Toolsettings
| ) |  |

A constructor setting the general paintingArea and colorPicker.

Parameters

  Area | - The general paintingArea used by the project.
  colorPicker | - The general colorPicker used by the project.

Definition at line 6 of file IntelliToolLine.cpp.

## ◆ ~IntelliToolLine()

IntelliToolLine::~IntelliToolLine | ( |  | ) |
| override virtual

An abstract Destructor.

Definition at line 11 of file IntelliToolLine.cpp.

## Member Function Documentation

## ◆ onMouseLeftPressed()

void IntelliToolLine::onMouseLeftPressed | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the left click pressed of a mouse. Sets the starting point of the line.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 23 of file IntelliToolLine.cpp.

## ◆ onMouseLeftReleased()

void IntelliToolLine::onMouseLeftReleased | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the left click released of a mouse.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 30 of file IntelliToolLine.cpp.

## ◆ onMouseMoved()

void IntelliToolLine::onMouseMoved | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the mouse moved event. Drawing a Line from the startpoint to the current mouse position.

Parameters

  x | - The x coordinate of the new mouse position.
  y | - The y coordinate of the new mouse position.

Reimplemented from IntelliTool.

Definition at line 39 of file IntelliToolLine.cpp.

## ◆ onMouseRightPressed()

void IntelliToolLine::onMouseRightPressed | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the right click pressed of a mouse. Clearing the canvas.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 15 of file IntelliToolLine.cpp.

## ◆ onMouseRightReleased()

void IntelliToolLine::onMouseRightReleased | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the right click released of a mouse.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 19 of file IntelliToolLine.cpp.

## ◆ onWheelScrolled()

void IntelliToolLine::onWheelScrolled | ( | int | value | ) |
| override virtual

A function managing the scroll event. Changing the lineWidth relative to value.

Parameters

  value | - The absolute the scroll has changed.

Reimplemented from IntelliTool.

Definition at line 34 of file IntelliToolLine.cpp.

The documentation for this class was generated from the following files:

- src/Tool/IntelliToolLine.h
- src/Tool/IntelliToolLine.cpp